export const UserProxyEntity: UserProxy;
export default self;
declare class UserProxy {
    userInfo: {};
    groupMemberInfo: {};
    userInfoTransform(dbUserModal: any): import("lodash").Dictionary<any>;
    userInGroupInfoTransform(dbUserModal: any, dbGroupMemberModal: any): import("lodash").Dictionary<any>;
    get getProxyUserBaseInfo(): (uid: any) => any;
    get getProxyUserInGroupInfo(): (gid: any, uid: any) => import("lodash").Dictionary<any>;
    setUserInfo(members: any): void;
    setGroupMemberInfo(groupMembers: any, gid: any): void;
    getUserInfo(uids: any): Promise<void>;
    getGroupMemberKey(gid: any, uid: any): string;
    /**
     * @param uid
     * @param gid
     * @return {Promise<void>}
     */
    getUserInfoInGroup(groups: any): Promise<void>;
    _handleGetGroupMemberInfo(gid: any, uids: any): Promise<void>;
    clearCache(): void;
}
declare const self: UserProxy;
